Module java.desktop
Package java.awt.dnd

## Class InvalidDnDOperationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - java.awt.dnd.InvalidDnDOperationException

- All Implemented Interfaces:
    `Serializable`

      public class InvalidDnDOperationException
      extends IllegalStateException

  This exception is thrown by various methods in the java.awt.dnd package. It is usually thrown to indicate that the target in question is unable to undertake the requested operation that the present time, since the underlying DnD system is not in the appropriate state.
  Since:
    1.2
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InvalidDnDOperationException​()` | Create a default Exception
    `InvalidDnDOperationException​(String msg)` | Create an Exception with its own descriptive message

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Constructor Detail

    - #### InvalidDnDOperationException

          public InvalidDnDOperationException​()

      Create a default Exception

    - #### InvalidDnDOperationException

          public InvalidDnDOperationException​(String msg)

      Create an Exception with its own descriptive message
      Parameters:
        `msg` - the detail message